del pix16\*.*

@echo off
echo This program modifies the '87 Corvette, depending on your selections.
echo For this car, the following are available:
echo -Physics changes
echo -> Real physics
echo -> Fun physics
echo -Colour changes
echo -Model changes
echo.
echo Choose a model:
echo.
echo 1) Carma cop
echo 2) Normal copcar
echo 3) Carma-version
echo 4) Stock-version
echo 5) Lowered stock-version
echo 6) Convertible
echo 7) Bigfoot
echo 8) Car models with reflective paint
echo 9) No change (=Exit)
echo.
choice /C:123456789 "    "
if errorlevel 9 goto NoChange
if errorlevel 8 goto ChromeModels
if errorlevel 7 goto Bigfoot
if errorlevel 6 goto Convertible
if errorlevel 5 goto Lowered
if errorlevel 4 goto Stock
if errorlevel 3 goto CarmaCar
if errorlevel 2 goto NormalCop
goto CarmaCop


:CarmaCop
copy mods\models\CopCarma\c2svette*.*
copy mods\colours\black\*.tif tiffrgb
del pix16\VetteColor.pix
cls
echo Which physics would you like to use for the carma-copcar?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto ARealCarmaCop
copy mods\models\copcarma\fun.txt c2svette.txt
goto CopNormalWheels
:ARealCarmaCop
copy mods\models\copcarma\real.txt c2svette.txt
goto CopNormalWheels

:NormalCop
copy mods\models\CopNormal\c2svette*.*
copy mods\colours\black\*.tif tiffrgb
del pix16\VetteColor.pix
cls
echo Which physics would you like to use for the normal copcar?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto ARealNormalCop
copy mods\models\copnormal\fun.txt c2svette.txt
goto CopNormalWheels
:ARealNormalCop
copy mods\models\copnormal\real.txt c2svette.txt
goto CopNormalWheels

:CarmaCar
copy mods\models\Carma\c2svette*.*
cls
echo Which physics would you like to use for the carma-version?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto RealCarma
copy mods\models\carma\fun.txt c2svette.txt
goto NormalWheels
:RealCarma
copy mods\models\carma\real.txt c2svette.txt
goto NormalWheels

:Stock
copy mods\models\Stock\c2svette*.*
cls
echo Which physics would you like to use for the stock-version?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto ARealStock
copy mods\models\stock\fun.txt c2svette.txt
goto NormalWheels
:ARealStock
copy mods\models\stock\real.txt c2svette.txt
goto NormalWheels

:Lowered
copy mods\models\Lowered\c2svette*.*
cls
echo Which physics would you like to use for the lowered stock-version?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto ARealLowered
copy mods\models\lowered\fun.txt c2svette.txt
goto NormalWheels
:ARealLowered
copy mods\models\lowered\real.txt c2svette.txt
goto NormalWheels

:Convertible
copy mods\models\Convertible\c2svette*.*
cls
echo Which physics would you like to use for the convertible?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto ARealConvertible
copy mods\models\convertible\fun.txt c2svette.txt
goto NormalWheels
:ARealConvertible
copy mods\models\convertible\real.txt c2svette.txt
goto NormalWheels

:Bigfoot
copy mods\models\Bigfoot\c2svette*.*
copy mods\models\bigfoot\*.tif tiffrgb
del pix16\VetteWheel.pix
del pix16\VetteTread.pix
cls
echo Which physics would you like to use for the bigfoot?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto ARealBigfoot
copy mods\models\bigfoot\fun.txt c2svette.txt
goto Colour
:ARealBigfoot
copy mods\models\bigfoot\real.txt c2svette.txt
goto Colour




:CopNormalWheels
copy mods\models\*.tif tiffrgb
del pix16\VetteWheel.pix
del pix16\VetteTread.pix
cls
exit


:NormalWheels
copy mods\models\*.tif tiffrgb
del pix16\VetteWheel.pix
del pix16\VetteTread.pix
cls
goto Colour




:Colour
cls
echo Choose a color:
echo.
echo 1) Black
echo 2) Brown
echo 3) Dark Blue
echo 4) Dark Green
echo 5) Light Blue
echo 6) Red
echo 7) White
echo 8) Yellow
echo 9) A few more colours...
echo.
choice /C:123456789 " "
if errorlevel 9 goto More
if errorlevel 8 goto Yellow
if errorlevel 7 goto White
if errorlevel 6 goto Red
if errorlevel 5 goto LightBlue
if errorlevel 4 goto DarkGreen
if errorlevel 3 goto DarkBlue
if errorlevel 2 goto Brown
goto Black


:More
cls
echo Choose a color:
echo.
echo 1) Silver
echo 2) Lime Green
echo 3) Orange
echo 4) Burnt Red
echo 5) Yellow & Green
echo 6) Back to previous colours
echo.
choice /C:123456 " "
if errorlevel 6 goto Colour
if errorlevel 5 goto YellaGreen
if errorlevel 4 goto BurntRed
if errorlevel 3 goto Orange
if errorlevel 2 goto LimeGreen
goto Silver


:Yellow
copy mods\colours\yellow\*.mat
copy mods\colours\yellow\*.tif tiffrgb
del pix16\VetteColor.pix
goto Exit

:White
copy mods\colours\white\*.mat
copy mods\colours\white\*.tif tiffrgb
del pix16\VetteColor.pix
goto Exit

:Red
copy mods\colours\red\*.mat
copy mods\colours\red\*.tif tiffrgb
del pix16\VetteColor.pix
goto Exit

:LightBlue
copy mods\colours\lightblue\*.mat
copy mods\colours\lightblue\*.tif tiffrgb
del pix16\VetteColor.pix
goto Exit

:DarkGreen
copy mods\colours\darkgreen\*.mat
copy mods\colours\darkgreen\*.tif tiffrgb
del pix16\VetteColor.pix
goto Exit

:DarkBlue
copy mods\colours\darkblue\*.mat
copy mods\colours\darkblue\*.tif tiffrgb
del pix16\VetteColor.pix
goto Exit

:Brown
copy mods\colours\brown\*.mat
copy mods\colours\brown\*.tif tiffrgb
del pix16\VetteColor.pix
goto Exit

:Black
copy mods\colours\black\*.mat
copy mods\colours\black\*.tif tiffrgb
del pix16\VetteColor.pix
goto Exit

:Silver
copy mods\colours\silver\*.mat
copy mods\colours\silver\*.tif tiffrgb
del pix16\VetteColor.pix
goto Exit

:Orange
copy mods\colours\orange\*.mat
copy mods\colours\orange\*.tif tiffrgb
del pix16\VetteColor.pix
goto Exit

:Silver
copy mods\colours\silver\*.mat
copy mods\colours\silver\*.tif tiffrgb
del pix16\VetteColor.pix
goto Exit

:LimeGreen
copy mods\colours\limegreen\*.mat
copy mods\colours\limegreen\*.tif tiffrgb
del pix16\VetteColor.pix
goto Exit

:BurntRed
copy mods\colours\darkblue\*.mat
copy mods\colours\red\*.tif tiffrgb
del pix16\VetteColor.pix
goto Exit

:YellaGreen
copy mods\colours\darkgreen\*.mat
copy mods\colours\yellow\*.tif tiffrgb
del pix16\VetteColor.pix
goto Exit


:ChromeModels
cls
echo Choose a model:
echo.
echo 1) Carma cop
echo 2) Normal copcar
echo 3) Carma-version
echo 4) Stock-version
echo 5) Lowered stock-version
echo 6) Convertible
echo 7) Bigfoot
echo 8) No change (=Exit)
echo.
choice /C:12345678 "    "
if errorlevel 8 goto NoChange
if errorlevel 7 goto MBigfoot
if errorlevel 6 goto BConvertible
if errorlevel 5 goto VLowered
if errorlevel 4 goto ZStock
if errorlevel 3 goto YCarmaCar
if errorlevel 2 goto KNormalCop
goto JCarmaCop



:JCarmaCop
copy mods\chromemodels\CopCarma\c2svette*.*
copy mods\chromecolours\black.tif tiffrgb\chrome.tif
del pix16\Chrome.pix
cls
echo Which physics would you like to use for the carma-copcar?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto BRealCarmaCop
copy mods\models\copcarma\fun.txt c2svette.txt
goto XCopNormalWheels
:BRealCarmaCop
copy mods\models\copcarma\real.txt c2svette.txt
goto XCopNormalWheels

:KNormalCop
copy mods\chromemodels\CopNormal\c2svette*.*
copy mods\colours\black.tif tiffrgb\chrome.tif
del pix16\Chrome.pix
cls
echo Which physics would you like to use for the normal copcar?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto BRealNormalCop
copy mods\models\copnormal\fun.txt c2svette.txt
goto XCopNormalWheels
:BRealNormalCop
copy mods\models\copnormal\real.txt c2svette.txt
goto XCopNormalWheels

:YCarmaCar
copy mods\chromemodels\Carma\c2svette*.*
cls
echo Which physics would you like to use for the carma-version?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto BRealCarma
copy mods\models\carma\fun.txt c2svette.txt
goto XNormalWheels
:BRealCarma
copy mods\models\carma\real.txt c2svette.txt
goto XNormalWheels

:ZStock
copy mods\chromemodels\Stock\c2svette*.*
cls
echo Which physics would you like to use for the stock-version?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto BRealStock
copy mods\models\stock\fun.txt c2svette.txt
goto XNormalWheels
:BRealStock
copy mods\models\stock\real.txt c2svette.txt
goto XNormalWheels

:VLowered
copy mods\chromemodels\Lowered\c2svette*.*
cls
echo Which physics would you like to use for the lowered stock-version?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto BRealLowered
copy mods\models\lowered\fun.txt c2svette.txt
goto XNormalWheels
:BRealLowered
copy mods\models\lowered\real.txt c2svette.txt
goto XNormalWheels

:BConvertible
copy mods\chromemodels\Convertible\c2svette*.*
cls
echo Which physics would you like to use for the convertible?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto BRealConvertible
copy mods\models\convertible\fun.txt c2svette.txt
goto XNormalWheels
:BRealConvertible
copy mods\models\convertible\real.txt c2svette.txt
goto XNormalWheels

:MBigfoot
copy mods\chromemodels\Bigfoot\c2svette*.*
copy mods\models\bigfoot\*.tif tiffrgb
del pix16\VetteWheel.pix
del pix16\VetteTread.pix
cls
echo Which physics would you like to use for the bigfoot?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto BRealBigfoot
copy mods\models\bigfoot\fun.txt c2svette.txt
goto Colour
:BRealBigfoot
copy mods\models\bigfoot\real.txt c2svette.txt
goto DColor


:XCopNormalWheels
copy mods\models\*.tif tiffrgb
del pix16\VetteWheel.pix
del pix16\VetteTread.pix
cls
exit


:XNormalWheels
copy mods\models\*.tif tiffrgb
del pix16\VetteWheel.pix
del pix16\VetteTread.pix
cls
goto DColor




:DColor
cls
echo Choose a color:
echo.
echo 1) Black
echo 2) Brown
echo 3) Dark Blue
echo 4) Dark Green
echo 5) Electric Blue
echo 6) Red
echo 7) White
echo 8) Yellow
echo 9) A few more colours...
echo.
choice /C:123456789 " "
if errorlevel 9 goto EMore
if errorlevel 8 goto XYellow
if errorlevel 7 goto XWhite
if errorlevel 6 goto XRed
if errorlevel 5 goto XElectricBlue
if errorlevel 4 goto XDarkGreen
if errorlevel 3 goto XDarkBlue
if errorlevel 2 goto XBrown
goto XBlack


:EMore
cls
echo Choose a color:
echo.
echo 1) Silver
echo 2) Lime Green
echo 3) Orange
echo 4) Burnt Red
echo 5) Dark Red
echo 6) Dark Gray
echo 7) Stormy Blue
echo 8) Green
echo 9) Back to previous colours
echo.
choice /C:123456789 " "
if errorlevel 9 goto DColor
if errorlevel 8 goto XGreen
if errorlevel 7 goto XStormyBlue
if errorlevel 6 goto XDarkGray
if errorlevel 5 goto XDarkRed
if errorlevel 4 goto XBurntRed
if errorlevel 3 goto XOrange
if errorlevel 2 goto XLimeGreen
goto XSilver


:XYellow
copy mods\chromecolours\yellow.tif tiffrgb\chrome.tif
del pix16\Chrome.pix
goto Exit

:XWhite
copy mods\chromecolours\white.tif tiffrgb\chrome.tif
del pix16\Chrome.pix
goto Exit

:XRed
copy mods\chromecolours\red.tif tiffrgb\chrome.tif
del pix16\Chrome.pix
goto Exit

:XElectricBlue
copy mods\chromecolours\electricblue.tif tiffrgb\chrome.tif
del pix16\Chrome.pix
goto Exit

:XDarkGreen
copy mods\chromecolours\darkgreen.tif tiffrgb\chrome.tif
del pix16\Chrome.pix
goto Exit

:XDarkBlue
copy mods\chromecolours\darkblue.tif tiffrgb\chrome.tif
del pix16\Chrome.pix
goto Exit

:XBrown
copy mods\chromecolours\brown.tif tiffrgb\chrome.tif
del pix16\Chrome.pix
goto Exit

:XBlack
copy mods\chromecolours\black.tif tiffrgb\chrome.tif
del pix16\Chrome.pix
goto Exit

:XSilver
copy mods\chromecolours\silver.tif tiffrgb\chrome.tif
del pix16\Chrome.pix
goto Exit

:XOrange
copy mods\chromecolours\orange.tif tiffrgb\chrome.tif
del pix16\Chrome.pix
goto Exit

:XDarkGray
copy mods\chromecolours\darkgray.tif tiffrgb\chrome.tif
del pix16\Chrome.pix
goto Exit

:XLimeGreen
copy mods\chromecolours\limegreen.tif tiffrgb\chrome.tif
del pix16\Chrome.pix
goto Exit

:XBurntRed
copy mods\chromecolours\burntred.tif tiffrgb\chrome.tif
del pix16\Chrome.pix
goto Exit

:XDarkRed
copy mods\chromecolours\darkred.tif tiffrgb\chrome.tif
del pix16\Chrome.pix
goto Exit

:XStormyBlue
copy mods\chromecolours\stormyblue.tif tiffrgb\chrome.tif
del pix16\Chrome.pix
goto Exit

:XGreen
copy mods\chromecolours\green.tif tiffrgb\chrome.tif
del pix16\Chrome.pix
goto Exit





:Exit
cls
echo Changes are made, program is ended.
exit


:NoChange
cls
echo No changes made this time, program is ended.
exit